Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232515 - Evolution does not empty trash on command
Summary: Evolution does not empty trash on command
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-15 21:23 UTC by Anthony Messina
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-23 23:30:08 UTC


Attachments (Terms of Use)

Description Anthony Messina 2007-03-15 21:23:34 UTC
Description of problem:
After an yum update upgrade to evolution-2.8.3-1.fc6, Evolution no longer will
empty trash from IMAP folders when I select "File >> Empty Trash"

Version-Release number of selected component (if applicable):
evolution-2.8.3-1.fc6

How reproducible:
Every time

Steps to Reproduce:
1. Mark a message as deleted in an IMAP folder
2. Go to "File >> Empty Trash"
  
Actual results:
See that the message still exists in both the IMAP folder and Evolution's
special Trash folder.

I have confirmed that the message is marked as deleted by logging into the same
mail account via SquirrelMail and seeing the message marked for deletion.

Expected results:
Evolution will expunge IMAP folders when "File >> Empty Trash" is chosen.

Additional info:
I also have the option set to "Empty Trash on Exit", which also does not work.

I'm not sure if the following is useful, but here's the output from "evolution
--component=mail --debug"

CalDAV Eplugin starting up ...
evolution-shell-Message: Killing old version of evolution-data-server...
libnm_glib_nm_state_cb: dbus returned an error.
  (org.freedesktop.DBus.Error.ServiceUnknown) The name
org.freedesktop.NetworkManager was not provided by any .service files
BBDB spinning up...
(evolution:11819): e-data-server-DEBUG: Loading categories from
"/home/amessina/.evolution/categories.xml"
(evolution:11819): e-data-server-DEBUG: Loaded 29 categories

(evolution:11819): gtkhtml-WARNING **: No such file or directory

(evolution:11819): camel-CRITICAL **: camel_object_is: assertion `o != NULL' failed

(evolution:11819): camel-CRITICAL **: camel_object_unref: assertion
`CAMEL_IS_OBJECT(o)' failed

(evolution:11819): camel-CRITICAL **: camel_object_is: assertion `o != NULL' failed

(evolution:11819): camel-CRITICAL **: camel_object_unref: assertion
`CAMEL_IS_OBJECT(o)' failed

(evolution:11819): camel-imap-provider-CRITICAL **: imap_command_start:
assertion `store->ostream!=NULL' failed

(evolution:11819): camel-imap-provider-CRITICAL **: imap_command_start:
assertion `store->ostream!=NULL' failed

(evolution:11819): camel-imap-provider-CRITICAL **: imap_command_start:
assertion `store->ostream!=NULL' failed

(evolution:11819): camel-imap-provider-CRITICAL **: imap_command_start:
assertion `store->ostream!=NULL' failed

(evolution:11819): camel-imap-provider-CRITICAL **: imap_command_start:
assertion `store->ostream!=NULL' failed

(evolution:11819): camel-imap-provider-CRITICAL **: imap_command_start:
assertion `store->ostream!=NULL' failed

Comment 1 Anthony Messina 2007-03-18 14:52:29 UTC
More information:

There is a weird circumstance in which using the "File >> Empty Trash" command
works: if I am not currently viewing my INBOX, and I am in another folder, it
works, whether or not the folder I am in has any messages to be expunged.

Comment 2 Matthew Barnes 2007-04-03 03:27:33 UTC
Odd, but thanks for the information.  Those CRITICAL warnings could very well be
related to the problem.  Just to try to isolate the source of those warnings,
can I have you trying starting Evolution from a terminal, then immediately quit
(taking no other action).  I'm curious whether those same warnings show up.

Comment 3 Anthony Messina 2007-04-03 22:40:02 UTC
Not being able to emply the trash was enough of a problem that I switched back
to Thunderbird for IMAP  for now.  I will re-add my account in Evo and see what
happens.

I can also say that when I was having the problem in the bug report, I was also
using Evo with an MS Exchange account -- that had problems as well; it wouldn't
remove messages that were deleted, etc.

Now that I have removed the IMAP account and have only the MS Exchange account,
the MS Exchange account functions perfectly.

It seems like having both an IMAP and MS Exchange account was a bit much for
Evo, but then, that seems unreasonable to me.

Comment 4 Anthony Messina 2007-08-23 23:30:08 UTC
Using FC7 and KMail.  I no longer use Evolution.


Note You need to log in before you can comment on or make changes to this bug.